petsc-3.13.6 2020-09-29
Report Typos and Errors

# DMEnclosureType

The type of enclosure relation between one DM and another

### Synopsis

    typedef enum {DM_ENC_EQUALITY, DM_ENC_SUPERMESH, DM_ENC_SUBMESH, DM_ENC_NONE, DM_ENC_UNKNOWN} DMEnclosureType;

For example, one DM dmA may be the boundary of another dmB, in which case it would be labeled DM_ENC_SUBMESH. If the situation is reversed, and dmA has boundary dmB, it would be labeled DM_ENC_SUPERMESH. Likewise, if dmA was a subregion of dmB, it would be labeled DM_ENC_SUBMESH. If no relation can be determined, DM_ENC_NONE is used. If a relation is not yet known, then DM_ENC_UNKNOWN is used.

### See Also

DMGetEnclosureRelation()

### Level

beginner

### Location

src/dm/../../include/petscdmtypes.h
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages